#if !defined(AFX_CECGRAPHCONTROL_H__EA6B8D1A_D24B_11D3_BD6F_00C04F89E392__INCLUDED_)
#define AFX_CECGRAPHCONTROL_H__EA6B8D1A_D24B_11D3_BD6F_00C04F89E392__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECGraphControl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CECGraphControl window

class CECGraphControl : public CStatic
{
    // Construction
public:
    CECGraphControl();

    // Attributes
public:
    SRGraph *GetGraph()
    {
        return &m_Graph;
    }

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECGraphControl)
    //}}AFX_VIRTUAL

    // Implementation
public:

    virtual ~CECGraphControl();

    // Generated message map functions
protected:
    //{{AFX_MSG(CECGraphControl)
    afx_msg void OnPaint();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    //}}AFX_MSG

    DECLARE_MESSAGE_MAP()

    SRGraph m_Graph;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECGRAPHCONTROL_H__EA6B8D1A_D24B_11D3_BD6F_00C04F89E392__INCLUDED_)
