#if !defined(AFX_CECGRAPHSELECT_H__9FB1F941_D7E5_11D3_9A95_00500447FC27__INCLUDED_)
#define AFX_CECGRAPHSELECT_H__9FB1F941_D7E5_11D3_9A95_00500447FC27__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECGraphSelect.h : header file
//
#include "CECTestGraphDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CECGraphSelect dialog

class CECGraphSelect : public CDialog
{
    // Construction
public:
    void SetAccess(CECTestGraphDlg* pParent);
    CECGraphSelect(CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CECGraphSelect)
    enum { IDD = IDD_CONFIGURE };
    CListBox    m_ListSelected;
    CListBox    m_ListAvailable;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECGraphSelect)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CECGraphSelect)
    virtual BOOL OnInitDialog();
    afx_msg void OnSelchangeAvailable();
    afx_msg void OnDblclkAvailable();
    afx_msg void OnSelchangeSelected();
    afx_msg void OnDblclkSelected();
    afx_msg void OnAdd();
    afx_msg void OnRemove();
    virtual void OnOK();
    afx_msg void OnAddAll();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    CECTestGraphDlg* m_pParent;
private:
    int m_nLastSelected;
    int m_nLastAvailable;
    void RemoveGraph(int nListIndex);
    void AddGraph(int nListIndex);
    void UpdateSelectedList();
    void UpdateAvailableList();

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECGRAPHSELECT_H__9FB1F941_D7E5_11D3_9A95_00500447FC27__INCLUDED_)
