#ifndef _CYR_COMCTL_VERSION_H_
#define _CYR_COMCTL_VERSION_H_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


//--------------------------------------------------------------------
// Common Control DLL Versions :
// -----------------------------
// Version Distribution platform
// 4.00 Microsoft Windows 95/Windows NT 4.0
// 4.70 Microsoft Internet Explorer 3.x
// 4.71 Microsoft Internet Explorer 4.0
// 4.72 Microsoft Internet Explorer 4.01

#ifdef __cplusplus
extern "C"
{
#endif

    HRESULT GetComCtlVersion(LPDWORD pdwMajor, LPDWORD pdwMinor) ;

#ifdef __cplusplus
} // extern "C"
#endif

#ifdef __cplusplus

class CComCtl32Version
{
    static DWORD m_dwMajor ;
    static DWORD m_dwMinor ;

    void Getversion() ;
public:
    DWORD GetMajor() const ;
    DWORD GetMinor() const ;
} ;

#endif // __cplusplus
//--------------------------------------------------------------------


#endif // _CYR_COMCTL_VERSION_H_ 
