#if !defined(AFX_EXTENDEDLISTBOX_H__6CA9AAE1_2B74_11D2_B099_0040950092BB__INCLUDED_)
#define AFX_EXTENDEDLISTBOX_H__6CA9AAE1_2B74_11D2_B099_0040950092BB__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
//

/**********SYL 1.1.00*****************/

class CExtendedListBox : public CListBox
{

    UINT    m_nExtent ;

    CBrush  *m_pBrush ;

public :

    CExtendedListBox( UINT nExtent = 0 ) ;
    virtual ~CExtendedListBox() ;

    int DataAlreadyExist( LPCSTR pczName ) ;

    //virtual functions
    virtual int AddString( LPCTSTR sString );
    virtual int DeleteString( UINT nIndex );
    virtual int InsertString( int nIndex, LPCTSTR lpszItem );
    virtual void ResetContent();
    virtual int Dir( UINT attr, LPCTSTR lpszWildCard );

    virtual BOOL CreateEx(DWORD dwExStyle, DWORD dwStyle,
                          const CRect & rect, CWnd * pParent, UINT nId) ;

private:
    //helpers
    LONG GetExtentForString( LPCTSTR sText );
    LONG GetExtentForEntireControl();

protected :


    // Generated message map functions
    //{{AFX_MSG(CExtendedListBox)
    afx_msg LRESULT OnMsgGetItemRect( WPARAM wIndex , LPARAM lRectPtr );
    afx_msg BOOL OnEraseBkgnd( CDC* pDC );
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

} ;



//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXTENDEDLISTBOX_H__6CA9AAE1_2B74_11D2_B099_0040950092BB__INCLUDED_)
