/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// AnalyzerDoc.cpp : implementation of the CAnalyzerDoc class
//

#include "stdafx.h"
#include "AnalyzerDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAnalyzerDoc

IMPLEMENT_DYNCREATE(CAnalyzerDoc, CDocument)

BEGIN_MESSAGE_MAP(CAnalyzerDoc, CDocument)
//{{AFX_MSG_MAP(CAnalyzerDoc)
ON_UPDATE_COMMAND_UI(ID_FILE_SAVE, OnUpdateFileSave)
ON_UPDATE_COMMAND_UI(ID_FILE_SAVE_AS, OnUpdateFileSaveAs)
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAnalyzerDoc construction/destruction

CAnalyzerDoc::CAnalyzerDoc()
{}


CAnalyzerDoc::~CAnalyzerDoc()
{}


BOOL CAnalyzerDoc::OnNewDocument()
{
    if (!CDocument::OnNewDocument())
        return FALSE;

    return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CAnalyzerDoc serialization

void CAnalyzerDoc::Serialize(CArchive& ar)
{
    if (ar.IsStoring())
    {}

    else
    {}

}


/////////////////////////////////////////////////////////////////////////////
// CAnalyzerDoc diagnostics

#ifdef _DEBUG
void CAnalyzerDoc::AssertValid() const
{
    CDocument::AssertValid();
}

void CAnalyzerDoc::Dump(CDumpContext& dc) const
{
    CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CAnalyzerDoc commands

BOOL CAnalyzerDoc::SaveModified()
{
    return TRUE;
}

void CAnalyzerDoc:: OnUpdateFileSave(CCmdUI *pCmdUI)
{
    pCmdUI->Enable(FALSE);
}

void CAnalyzerDoc:: OnUpdateFileSaveAs(CCmdUI *pCmdUI)
{
    pCmdUI->Enable(FALSE);
}
