// CECSNMPQuery.h: interface for the CECSNMPQuery class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CECSNMPQUERY_H__163F9048_3E1C_11D4_A6D1_00500447FC27__INCLUDED_)
#define AFX_CECSNMPQUERY_H__163F9048_3E1C_11D4_A6D1_00500447FC27__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef WIN32
#include <winsock.h>
#endif
#include "CECStructures.h"

#include <ucd-snmp/config.h>
#include <ucd-snmp/ucd-snmp-includes.h>

class CECSNMPQuery  
{
public:
	BOOL ExecuteWalk(QUERY_DEF query, CStringArray& resultArray);
	long ExecuteSimple(QUERY_DEF& query);
	bool ExecuteDetailed(QUERY_DEF& query, CString& result);

	CECSNMPQuery();
	virtual ~CECSNMPQuery();

private:

};

#endif // !defined(AFX_CECSNMPQUERY_H__163F9048_3E1C_11D4_A6D1_00500447FC27__INCLUDED_)
