#if !defined(AFX_CSNMPEDITDLG_H__B691F58E_2707_4C34_B64A_D18845206E44__INCLUDED_)
#define AFX_CSNMPEDITDLG_H__B691F58E_2707_4C34_B64A_D18845206E44__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CSNMPEditDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CECSNMPEditDlg dialog
#include "resource.h"

class CECSNMPEditDlg : public CDialog
{
// Construction
public:
	void SetQuery(CString query);
	CString GetSNMPQuery();
	CECSNMPEditDlg(CWnd* pParent = NULL);   // standard constructor
	enum { SYSTEM, INTERFACES, AT, IP, ICMP, TCP, UDP, EGP, DOT3, SNMP, MS_IIS};
// Dialog Data
	//{{AFX_DATA(CECSNMPEditDlg)
	enum { IDD = IDD_SNMPEDIT };
	CComboBox	m_ctlAddress;
	CListCtrl	m_ctlWalkList;
	CComboBox	m_ctlCategory;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CECSNMPEditDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CECSNMPEditDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeCategory();
	virtual void OnOK();
	afx_msg void OnSelchangeHostAddr();
	afx_msg void OnDestroy();
	afx_msg void OnScan();
	afx_msg void OnKillfocusHostAddr();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void OnChangeIP();
	int StringToCat(CString query);
	CString m_Query;
	CString CatToString(int nCat);
	void WalkTable(int nTable);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CSNMPEDITDLG_H__B691F58E_2707_4C34_B64A_D18845206E44__INCLUDED_)
