/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// GenericListPage.h: interface for the CGenericListPage class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GENERICLISTPAGE_H__69784AC1_D89C_11D3_BD76_00C04F89E392__INCLUDED_)
#define AFX_GENERICLISTPAGE_H__69784AC1_D89C_11D3_BD76_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CyrGridCtrl.h"
#include "GenericPage.h"

class CGenericListPage : public CGenericPage
{
public:
    CGenericListPage(UINT uiPageID);
    virtual ~CGenericListPage();

    // Overrides
    // ClassWizard generate virtual function overrides
    //{{AFX_VIRTUAL(CGenericListPage)
    //}}AFX_VIRTUAL

    CYRGridCtrl m_ctlGrid;

    // Implementation
protected:
    // Generated message map functions
    //{{AFX_MSG(CGenericListPage)
    virtual BOOL OnInitDialog();
    afx_msg void OnDestroy();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    CGenericListPage()
    {}


    void SaveSettings();
    void RestoreSettings();
};

/////////////////////////////////////////////////////////////////////////////
// CNumericEditControl window
/*
class CNumericEditControl : public CGXEditControl
{
// Construction
public:
    CNumericEditControl(CGXGridCore* pGrid, UINT nID):CGXEditControl(pGrid,nID){}
    virtual ~CNumericEditControl(){}
 
protected:
    afx_msg void OnUpdate() 
    {
        //get the text thats been entered
        CString strText; GetWindowText(strText);
        
        //get the current position of the caret
        int nStart,nEnd; GetSel(nStart,nEnd);
        
        //create a new string with only numeric characters in
        CString strNewText;
        for(int nNdx=0;nNdx<strText.GetLength();nNdx++)
        {
            if(isdigit(strText[nNdx]))
            {
                strNewText += strText[nNdx];
            }
        }
 
        //if the new string is different to the old
        //one set the text in the edit box
        if(strNewText != strText)
        {
            SetWindowText(strNewText);
            
            //reset the position of the caret
            SetSel(--nStart,nStart);
        }
    }
 
    DECLARE_MESSAGE_MAP()
};
*/
/////////////////////////////////////////////////////////////////////////////
#endif // !defined(AFX_GENERICLISTPAGE_H__69784AC1_D89C_11D3_BD76_00C04F89E392__INCLUDED_)
