/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_MULTIPLENTQUERYDLG_H__D49A34D3_D956_11D3_BD77_00C04F89E392__INCLUDED_)
#define AFX_MULTIPLENTQUERYDLG_H__D49A34D3_D956_11D3_BD77_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MultipleNTQueryDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMultipleNTQueryDlg dialog
class CGenericPage;
class CMultipleNTQueryDlg : public CDialog
{
    // Construction
public:
    CMultipleNTQueryDlg(CGenericPage* pParent,const CString& strQuery);   // standard constructor

    CString GetQueries()
    {
        return m_strQuery;
    }
    // Dialog Data
    //{{AFX_DATA(CMultipleNTQueryDlg)
    enum { IDD = IDD_MULTIPLE_NT_QUERY_DLG };
    CButton m_ctlEditQuery;
    CButton m_ctlDeleteQuery;
    CListBox    m_ctlQueryList;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CMultipleNTQueryDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CMultipleNTQueryDlg)
    afx_msg void OnDeleteQuery();
    afx_msg void OnAddQuery();
    virtual BOOL OnInitDialog();
    afx_msg void OnEditQuery();
    afx_msg void OnSelchangeQueryList();
    virtual void OnOK();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    void UpdateControls();
    CGenericPage *m_pParent;
    CString m_strQuery;
private:
    CString m_szHtmlHelpFile;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MULTIPLENTQUERYDLG_H__D49A34D3_D956_11D3_BD77_00C04F89E392__INCLUDED_)
