#if !defined(AFX_CECREFRESHDLG_H__24010133_66CA_11D4_A6DA_00500447FC27__INCLUDED_)
#define AFX_CECREFRESHDLG_H__24010133_66CA_11D4_A6DA_00500447FC27__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECRefreshDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CECRefreshDlg dialog

class CECRefreshDlg : public CDialog
{
    // Construction
public:
    int GetRefreshRate();
    CECRefreshDlg(int nRefresh, CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CECRefreshDlg)
    enum { IDD = IDD_REFRESH };
    CSliderCtrl m_Slider;
    CString m_Rate;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECRefreshDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CECRefreshDlg)
    virtual BOOL OnInitDialog();
    afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
    virtual void OnOK();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
    int m_nRefresh;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECREFRESHDLG_H__24010133_66CA_11D4_A6DA_00500447FC27__INCLUDED_)
