/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// ExtendedRichEditView.h: interface for the CExtendedRichEditView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXTENDEDRICHEDITVIEW_H__CEADEA4A_0F59_11D3_92A6_00104B4B2995__INCLUDED_)
#define AFX_EXTENDEDRICHEDITVIEW_H__CEADEA4A_0F59_11D3_92A6_00104B4B2995__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ExtendedRichEditCtrl.h"

class CExtendedRichEditView : public CView
{
    //Attribute:
private:
    CExtendedRichEditCtrl m_Edit;

protected:
    DECLARE_DYNCREATE(CExtendedRichEditView)
    CExtendedRichEditView();

    //Construction
public:
    virtual ~CExtendedRichEditView();

    //Operation
public:
    CExtendedRichEditCtrl*  GetCtrl();

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CExtendedRichEditView)
protected:
    virtual void OnDraw(CDC* pDC);      // overridden to draw this view
    //}}AFX_VIRTUAL

    //{{AFX_MSG(CExtendedRichEditView)
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    //}}AFX_MSG


    DECLARE_MESSAGE_MAP()
};

#endif // !defined(AFX_EXTENDEDRICHEDITVIEW_H__CEADEA4A_0F59_11D3_92A6_00104B4B2995__INCLUDED_)
