/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#ifdef TOF2SCL_EXPORTS
#define TOF2SCL_API __declspec(dllexport)
#else
#define TOF2SCL_API __declspec(dllimport)
#endif

//ParserTof return values are
// 1 = OK
// 2 = Tof not found
TOF2SCL_API int ParseTof(const char* szTofFile);

//
//Setup the path to the Headers initialisation file
//  for example     c:\Cyrano solutions\Framework\
//
TOF2SCL_API void SetHeadersIniPath(const char* szPath);
