#if !defined(AFX_CECPROJECTDELETEDLG_H__7B0F3AF8_091E_11D3_BDDA_00A02456D506__INCLUDED_)
#define AFX_CECPROJECTDELETEDLG_H__7B0F3AF8_091E_11D3_BDDA_00A02456D506__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// CECProjectDeleteDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CECProjectDeleteDlg dialog

class CECProjectDeleteDlg : public CDialog
{
    // Construction
public:
    CECProjectDeleteDlg(CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CECProjectDeleteDlg)
    enum { IDD = IDD_DELETE_PROJECT };
    // NOTE: the ClassWizard will add data members here
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECProjectDeleteDlg)
public:
    virtual BOOL PreTranslateMessage(MSG* pMsg);
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CECProjectDeleteDlg)
    virtual BOOL OnInitDialog();
    afx_msg void OnDelete();
    afx_msg void OnClose();
    afx_msg void OnSelchangeProjectList();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    afx_msg void OnUpdateDeleteButton(CCmdUI* pCmdUI);

    DECLARE_MESSAGE_MAP()
private:
    CString m_szHtmlHelpFile;
    void FillProjectList();

    CYRServer *m_pServer;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECPROJECTDELETEDLG_H__7B0F3AF8_091E_11D3_BDDA_00A02456D506__INCLUDED_)
