#if !defined(AFX_COMPARERUNGRAPHDOC_H__61998E3A_B0D1_11D4_94BF_00C04F89E392__INCLUDED_)
#define AFX_COMPARERUNGRAPHDOC_H__61998E3A_B0D1_11D4_94BF_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CompareRunGraphDoc.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCompareRunGraphDoc document
#include "GraphTypes.h"
#include "AnalyzerDoc.h"
class CGraphView;
class CCompareRunGraphDoc : public CAnalyzerDoc
{
protected:
	CCompareRunGraphDoc();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CCompareRunGraphDoc)

// Attributes
public:

// Operations
public:
	void AddQuery(const CString& strQuery,const CString& strNode);
	void AddResponseTimer(const CString& strTimer);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCompareRunGraphDoc)
	public:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
	protected:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CCompareRunGraphDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CCompareRunGraphDoc)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CGraphView *m_pGraphView;

	CCompareRunGraph *m_pCompareRunGraph;

	void CreateGraph();
};

/////////////////////////////////////////////////////////////////////////////
// CGraphSummaryDlg dialog

class CGraphSummaryDlg : public CDialog
{
// Construction
public:
	CGraphSummaryDlg(CGraphTypeBase *,CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CGraphSummaryDlg)
	enum { IDD = IDD_GRAPH_SUMMARY };
	CButton	m_ctlOkBtn;
	CListCtrl	m_ctlDataList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGraphSummaryDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGraphSummaryDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CGraphTypeBase *m_pGraph;
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMPARERUNGRAPHDOC_H__61998E3A_B0D1_11D4_94BF_00C04F89E392__INCLUDED_)
