#if !defined(AFX_CECProjectSettingsDlg_H__F4CE61F6_FCAB_11D2_BDC8_00608CB45114__INCLUDED_)
#define AFX_CECProjectSettingsDlg_H__F4CE61F6_FCAB_11D2_BDC8_00608CB45114__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECProjectSettingsDlg.h : header file
//
#include "resource.h"


class   CECComProject;

/////////////////////////////////////////////////////////////////////////////
// CECProjectSettingsDlg dialog

class CECProjectSettingsDlg : public CDialog
{
    // Construction
public:
    CECProjectSettingsDlg(BOOL bIsCreating = FALSE, CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CECProjectSettingsDlg)
    enum { IDD = IDD_PROJECT_SETTINGS };
    // NOTE: the ClassWizard will add data members here
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECProjectSettingsDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CECProjectSettingsDlg)
    virtual BOOL OnInitDialog();
    virtual void OnOK();
    afx_msg void OnAdvancedButton();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
private:
    CString m_szHtmlHelpFile;
    CECComProject*      GetProject          ();

    BOOL            ValidateProjectName (CString ProjectName);

    void            RestoreSettings     ();

    BOOL            m_bIsCreating;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECProjectSettingsDlg_H__F4CE61F6_FCAB_11D2_BDC8_00608CB45114__INCLUDED_)
