/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/////////////////////////////////////////////////////////////////////////
//
// CYRDelayPropertiesDlg.h
// ------------------------
//
//    This is the include file for the CYRDelayPropertiesDlg class.
//
//=========================================================================

#if !defined(AFX_CYRDelayPropertiesDlg_H__965B0CFA_6C12_11D3_9F2F_00500487BD9B__INCLUDED_)
#define AFX_CYRDelayPropertiesDlg_H__965B0CFA_6C12_11D3_9F2F_00500487BD9B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CYRDelayPropertiesDlg.h : header file
//
#include "..\..\Common\CECTestObject.h"
/////////////////////////////////////////////////////////////////////////////
// CYRDelayPropertiesDlg dialog

class CYRDelayPropertiesDlg : public CDialog
{
    // Construction
public:
    CYRDelayPropertiesDlg(CWnd* pParent = NULL);   // standard constructor

    // Dialog Controls
    CSpinButtonCtrl* m_pSpinDelay;

    // Dialog Data
    //{{AFX_DATA(CYRDelayPropertiesDlg)
    enum { IDD = IDD_DELAY_PROPERTIES };
    CSpinButtonCtrl m_SpinDelay;
    UINT        m_nDelay;
    //}}AFX_DATA

    CString m_szOriginalCBText;

    // Readers + Writers
    UINT GetDelay()
    {
        return m_nDelay;
    }

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CYRDelayPropertiesDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    CECDelay* m_pDelayProperties;

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CYRDelayPropertiesDlg)
    virtual BOOL OnInitDialog();
    virtual void OnOK();
    virtual void OnCancel();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
private:
    CString m_szHtmlHelpFile;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CYRDelayPropertiesDlg_H__965B0CFA_6C12_11D3_9F2F_00500487BD9B__INCLUDED_)
