/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

//========================================================================
//
// Solutions.h
// -----------
//
//    This is the include file for global data for CYRANO Soultion products
//
//=========================================================================


#if !defined(AFX_SOLUTIONS_H__97F10279_F959_11D2_8A98_0060084D8878__INCLUDED_)
#define AFX_SOLUTIONS_H__97F10279_F959_11D2_8A98_0060084D8878__INCLUDED_

//
//    The CYRANO Soultions registry key
//
#define     CYRANO_SOLUTIONS        "CYRANO Solutions"
#define     SOLUTIONS_KEY           "SOFTWARE\\CYRANO Solutions"
#define     SOLUTIONS_SERVER_KEY    "SOFTWARE\\CYRANO Solutions\\Server"
#define     SOLUTIONS_FRAMEWORK_KEY "SOFTWARE\\CYRANO Solutions\\Framework"
#define     SOLUTIONS_OMNIORB_KEY   "SOFTWARE\\ORL\\OmniORB\\2.0"


//
//    The CYRANO Soultions generic DLL name
//
#define     SOLUTIONS_GENERIC_DLL   "CYRGeneric"

//
//    The CYRANO Solutions Source Control DLL name
//
#define     SOLUTIONS_SC_DLL        "CYRSourceControl"

//
//  The Cyrano solutions Analyzer DLL Name
//
#define     SOLUTIONS_ANALYZER_DLL  "CYRAnalyzer"

//
//  The cyrano solutions Impact Dll Name
//
#define     SOLUTIONS_IMPACT_DLL "CYRImpact"
#endif
